Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.core.parser
Interface EscapeQuerySyntax

All Known Implementing Classes:
  EscapeQuerySyntaxImpl

    public interface EscapeQuerySyntax

A parser needs to implement `EscapeQuerySyntax` to allow the QueryNode to escape the queries, when the toQueryString method is called.

Nested Class Summary
`static class` | `EscapeQuerySyntax.Type`

Method Summary
`CharSequence` | `escape(CharSequence text, Locale locale, EscapeQuerySyntax.Type type)`

Method Detail

### escape

    CharSequence escape(CharSequence text,
                        Locale locale,
                        EscapeQuerySyntax.Type type)

  Parameters:
    `text` - - text to be escaped
    `locale` - - locale for the current query
    `type` - - select the type of escape operation to use
  Returns:
    escaped text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD